org.apache.xalan.trace

## Interface TraceListenerEx

All Superinterfaces:
  java.util.EventListener, TraceListener

All Known Subinterfaces:
  TraceListenerEx2, TraceListenerEx3

All Known Implementing Classes:
  PrintTraceListener

    public interface TraceListenerEx
    extends TraceListener

Extends TraceListener but adds a SelectEnd event.

Usage:
  **For advanced use only**

### Method Summary

Methods
`void` `selectEnd(EndSelectionEvent ev)` Method that is called after an xsl:apply-templates or xsl:for-each selection occurs.

### Methods inherited from interface org.apache.xalan.trace.TraceListener

`generated, selected, trace`

### Method Detail

#### selectEnd

    void selectEnd(EndSelectionEvent ev)
                   throws TransformerException

Method that is called after an xsl:apply-templates or xsl:for-each selection occurs.

Parameters:
  `ev` - the generate event.
Throws:
  `TransformerException`